using System.ComponentModel;

namespace BS.Shared.DataContracts
{
    public partial class AssessmentSheetValueDC : INotifyPropertyChanged
    {
        private bool _IsEditSelected;

        private bool _IsNewSelected;

        public event PropertyChangedEventHandler PropertyChanged;

        public bool IsEditSelected
        {
            get
            {
                return this._IsEditSelected;
            }

            set
            {
                this._IsEditSelected = value;
                this.RaisePropertyChanged("IsEditSelected");
            }
        }

        public bool IsNewSelected
        {
            get
            {
                return this._IsNewSelected;
            }

            set
            {
                this._IsNewSelected = value;
                this.RaisePropertyChanged("IsNewSelected");
            }
        }

        private void RaisePropertyChanged(string p)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(p));
            }
        }
    }
}